Chyba po upgrade na 4.7.1

Zvolené téma obsahuje celkem 5 odpovědí. Do diskuze (2 účastníci) se naposledy zapojil uživatel  admin a poslední změna je stará 2 roky, 7 měsíců.

Aktuálně je na stránce zobrazeno 6 příspěvků - 1. až 6. (z celkem 6)
  • Autor
    Příspěvky
  • #30723

    Cassper
    Participant

    Zdravím. Mám web, kde doteď vše fungovalo. Ale po vydání 4.7.1 je najednou něco špatně. Aktuálně mám 4.7.0, protože jakmile pustím aktualizaci, skončí to chybou a stránky se nenačtou.

    Zobrazí se chybová hláška Fatal error: Cannot declare class Envira_Gallery_Addons, because the name is already in use in /web/htdocs3/bk_vysokacz/home/www/wp-content/plugins/envira-gallery-lite/includes/admin/addons.php on line 10

    Do daného souboru jsem koukal a na tom řádku je class Envira_Gallery_Addons {

    Tohle se objeví vždy když aktualizuju WordPress. Ať už CZ nebo ENG instalačním balíčkem. … Pokud aktualizuju pluginy jeden po druhém (i tu Envira Gallery), tak vše ok. … Ale jakmile zaktualizuju WordPress, tak konec.

    Tuší něco co s tím ?

    #30724

    Cassper
    Participant

    Tak malá úprava. Momentálně mám verzi 4.6.2. … Tuto chybu mi to házelo už při upgrade na 4.7.0, když jsem to zkoušel před Vánoci, a pokračuje to naprosto stejně i při upgrade na 4.7.1.

    #30727

    admin
    Keymaster
    Web

    Vypadá to na nějaký problém s používaným pluginem Gallery by Envira. Jakou verzi pluginu máte instalovanou? Podobný problém byl možná autorům už nahlášen

    Zkusil bych tento plugin deaktivovat, následně provést aktualizaci WordPressu na nejnovější verzi a poté znovu aktivovat.

    #30732

    Cassper
    Participant

    Envira Gallery mám 1.5.4 a aktualizace na 1.5.6.1 proběhne v pohodě.

    Navrhovaný způsob (deaktivovat plugin a pak aktualizovat WordPress) zkusím odpoledne.

    #30740

    Cassper
    Participant

    Tak pokud před upgrade WordPress deaktivuji Envira Gallery plugin (konkrétně tedy Envira Galery Lite Verze 1.5.6.1), tak upgrade WordPress na 4.7.1 proběhne v pořádku.

    Avšak jakmile potom plugin znovu zaktivuju, tak dojde k chybové hlášce viz můj první příspěvek :(

    Co by se tedy dalo ještě dělat ?

    #30769

    admin
    Keymaster
    Web

    Nová verze 1.5.6.2 nepomohla? Pokud ne, tak bych doporučil to napsat přímo autorům pluginu, vypadá to, že vcelku reagují na uživatelské problémy. Můžete ještě zkusit deaktivovat všechny pluginy a nasadit výchozí šablonu Twenty Seventeen a pak plugin pro galerii aktivovat (čímž vyloučíte případný konflikt s jiným pluginem či šablonou), ale pokud se bude chyba stále opakovat, tak to bude asi opravdu problém pluginu a nezbývá než kontaktovat přímo autory. Nebo to mohu opravit v rámci placené zakázky, ale to se i vzhledem k budoucím aktualizacím asi nevyplatí :-)

Aktuálně je na stránce zobrazeno 6 příspěvků - 1. až 6. (z celkem 6)

Pokud chcete odpovědět na toto téma, musíte se nejdříve přihlásit.